Class | Bio::Shell::Web::Results
In: | lib/bio/shell/web.rb
Parent: | Object

### Methods

new restore store

### Attributes

number | [RW] |
output | [RW] |
result | [RW] |
script | [RW] |

### Public Class methods

new()

[Source]

        # File lib/bio/shell/web.rb, line 71
    71:       def initialize
    72:         @number = 0
    73:         @script = []
    74:         @result = []
    75:         @output = []
    76:       end

### Public Instance methods

restore(number)

[Source]

        # File lib/bio/shell/web.rb, line 86
    86:       def restore(number)
    87:         return @script[number], @result[number], @output[number]
    88:       end

store(script, result, output)

[Source]

        # File lib/bio/shell/web.rb, line 78
    78:       def store(script, result, output)
    79:         @number += 1
    80:         @script[@number] = script
    81:         @result[@number] = result
    82:         @output[@number] = output
    83:         return @number
    84:       end

[Validate]